Page MenuHomePhabricator

Chaos when using debug=true in beta labs
Closed, DuplicatePublic

Description

http://en.m.wikipedia.beta.wmflabs.org/wiki/UserMergesgtxkn?debug=true

I get this stack trace :(

Uncaught Error: Module not found: browserModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ settings.js:9(anonymous function) @ settings.js:85
modules.js:29 Uncaught Error: Module not found: browserModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ user.js:3(anonymous function) @ user.js:89
modules.js:29 Uncaught Error: Module not found: settingsModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ Schema.js:4(anonymous function) @ Schema.js:167
modules.js:29 Uncaught Error: Module not found: SchemaModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ SchemaMobileWeb.js:3(anonymous function) @ SchemaMobileWeb.js:23
modules.js:29 Uncaught Error: Module not found: SchemaModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ SchemaGather.js:6(anonymous function) @ SchemaGather.js:35
modules.js:29 Uncaught Error: Module not found: userModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ CollectionsApi.js:5(anonymous function) @ CollectionsApi.js:276
modules.js:29 Uncaught Error: Module not found: settingsModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ toggle.js:3(anonymous function) @ toggle.js:316
modules.js:29 Uncaught Error: Module not found: SchemaModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ SchemaGatherFlags.js:3(anonymous function) @ SchemaGatherFlags.js:29
modules.js:29 Uncaught Error: Module not found: loggingSchemas/SchemaMobileWebModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ SchemaMobileWebClickTracking.js:3(anonymous function) @ SchemaMobileWebClickTracking.js:97
modules.js:29 Uncaught Error: Module not found: userModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ SchemaMobileWebEditing.js:3(anonymous function) @ SchemaMobileWebEditing.js:44
modules.js:29 Uncaught Error: Module not found: settingsModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ toast.js:4(anonymous function) @ toast.js:75
modules.js:29 Uncaught Error: Module not found: userModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ SchemaMobileWebWatching.js:3(anonymous function) @ SchemaMobileWebWatching.js:31
modules.js:29 Uncaught Error: Module not found: SchemaModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ SchemaMobileWebSearch.js:2(anonymous function) @ SchemaMobileWebSearch.js:36
modules.js:29 Uncaught Error: Module not found: ext.gather.api/CollectionsApiModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ routes.js:3(anonymous function) @ routes.js:48
modules.js:29 Uncaught Error: Module not found: SchemaModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ SchemaMobileWebBrowse.js:2(anonymous function) @ SchemaMobileWebBrowse.js:28
modules.js:29 Uncaught Error: Module not found: loggingSchemas/SchemaMobileWebClickTrackingModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ ReferencesDrawer.js:5(anonymous function) @ ReferencesDrawer.js:76
modules.js:29 Uncaught Error: Module not found: loggingSchemas/SchemaMobileWebWatchingModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ Watchstar.js:5(anonymous function) @ Watchstar.js:191
modules.js:29 Uncaught Error: Module not found: ext.gather.logging/SchemaGatherModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ load.php?debug=true&lang=en&modules=ext.gather.collection.contentOverlay&only=scripts&skin=minerva&…:4(anonymous function) @ load.php?debug=true&lang=en&modules=ext.gather.collection.contentOverlay&only=scripts&skin=minerva&…:427
modules.js:29 Uncaught Error: Module not found: mobile.watchstar/WatchstarModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ WatchstarPageList.js:5(anonymous function) @ WatchstarPageList.js:98
modules.js:29 Uncaught Error: Module not found: ext.gather.logging/SchemaGatherModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ CollectionsWatchstar.js:5(anonymous function) @ CollectionsWatchstar.js:181
modules.js:29 Uncaught Error: Module not found: ext.gather.logging/SchemaGatherModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ WatchstarPageActionOverlay.js:3(anonymous function) @ WatchstarPageActionOverlay.js:48
modules.js:29 Uncaught Error: Module not found: modules/WatchstarPageListModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ load.php?debug=true&lang=en&modules=mobile.search&only=scripts&skin=minerva&version=73e3a44f6eba:8(anonymous function) @ load.php?debug=true&lang=en&modules=mobile.search&only=scripts&skin=minerva&version=73e3a44f6eba:364
preInit.js:82 \o/ Hey! This is open source software and we need volunteers to help us build this thing, make it better and fix any bugs that you might be seeing in this JavaScript console!

You can find our backlog @ https://phabricator.wikimedia.org/project/view/67/
modules.js:29 Uncaught Error: Module not found: SchemaModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ preInit.js:115jQuery.Callbacks.fire @ load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=ER5GHEmL:3148jQuery.Callbacks.self.add @ load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=ER5GHEmL:3194(anonymous function) @ preInit.js:114(anonymous function) @ preInit.js:118
modules.js:29 Uncaught Error: Module not found: settingsModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ init.js:3(anonymous function) @ init.js:131
modules.js:29 Uncaught Error: Module not found: ext.gather.watchstar/CollectionsWatchstarModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ load.php?debug=true&lang=en&modules=ext.gather.init&only=scripts&skin=minerva&version=73e3a44f6eba:8(anonymous function) @ load.php?debug=true&lang=en&modules=ext.gather.init&only=scripts&skin=minerva&version=73e3a44f6eba:206
modules.js:29 Uncaught Error: Module not found: loggingSchemas/SchemaMobileWebClickTrackingModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ initLogging.js:4(anonymous function) @ initLogging.js:26
modules.js:29 Uncaught Error: Module not found: settingsModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ mobileRedirect.js:7(anonymous function) @ mobileRedirect.js:33
modules.js:29 Uncaught Error: Module not found: loggingSchemas/SchemaMobileWebClickTrackingModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ search.js:3(anonymous function) @ search.js:79
modules.js:29 Uncaught Error: Module not found: toggleModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ init.js:5(anonymous function) @ init.js:29
modules.js:29 Uncaught Error: Module not found: loggingSchemas/SchemaMobileWebClickTrackingModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ TableOfContents.js:3(anonymous function) @ TableOfContents.js:58
modules.js:29 Uncaught Error: Module not found: settingsModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ load.php?debug=true&lang=en&modules=skins.minerva.editor&only=scripts&skin=minerva&version=73e3a44f…:5(anonymous function) @ load.php?debug=true&lang=en&modules=skins.minerva.editor&only=scripts&skin=minerva&version=73e3a44f…:346
modules.js:29 Uncaught Error: Module not found: modules/toc/TableOfContentsModuleLoader.require @ modules.js:29mw.mobileFrontend.require @ modules.js:100(anonymous function) @ toc.js:2(anonymous function) @ toc.js:43
init.js:33 Uncaught TypeError: time.getLastModifiedMessage is not a function

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterFix ResourceLoader module dependency issues

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2015, 6:13 PM
Jdlrobson triaged this task as High priority.Sep 15 2015, 8:22 PM

High given this might be hiding other more serious issues.

Change 238624 had a related patch set uploaded (by Jdlrobson):
Fix ResourceLoader module dependency issues

https://gerrit.wikimedia.org/r/238624

Change 238624 merged by jenkins-bot:
Fix ResourceLoader module dependency issues

https://gerrit.wikimedia.org/r/238624

Sadly chaos is still present. I suspect due to T99096.

phuedx added a subscriber: phuedx.Sep 17 2015, 8:31 AM

@Jdlrobson: Hrrm. I'm not sure what to do with this task then.

phuedx set Security to None.

Is anyone able to replicate locally? I'll move back to ready for dev just in case.

I can't replicate this locally but I still see it on BC.

phuedx removed Jdlrobson as the assignee of this task.Sep 22 2015, 10:02 AM

I'm not sure what to do here as I can't replicate this locally nor on some production wikis (I tried enwiki and dewiki).

The error isn't happening anymore even when visiting the original link.

It still happens for me, but when I inspect the code I'm seeing old static resources. I'm convinced this is T99096 so I merged it in. I'm not sure I can sign this off though, whilst it's still a problem.